Name: H5Pget_istore_k
Signature:
  herr_t `H5Pget_istore_k`(hid_t `plist`, unsigned * `ik` )
Purpose:
  Queries the 1/2 rank of an indexed storage B-tree.
Description:
  `H5Pget_istore_k` queries the 1/2 rank of an indexed storage B-tree. The argument `ik` may be the null pointer (NULL). This function is only valid for file creation property lists.

  See H5Pset_istore_k for details.

Parameters:

hid_t `plist` | IN: Identifier of property list to query.
unsigned * `ik` | OUT: Pointer to location to return the chunked storage B-tree 1/2 rank.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_istore_k_f

      SUBROUTINE h5pget_istore_k_f(prp_id, ik, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: ik           ! 1/2 rank of chunked storage B-tree
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_istore_k_f

History:

Release | C
1.6.4 | `ik` parameter type changed to unsigned.